#ifdef DEBUG
	ULONG KPrintF( char *Fmt, ...);	/* from debug.lib */

	#ifdef DEBUG_Info
		#define DBG_Info( x) x;
		#define DBG_Trace() KPrintF("%s, %s(), %l04d>\n", __FILE__, __FUNC__, __LINE__);
	#else
		#define DBG_Info( x) ;
		#define DBG_Trace() ;
	#endif

	#ifdef DEBUG_Info1
		#define DBG_Info1( x) x;
	#else
		#define DBG_Info1( x) ;
	#endif

	#ifdef DEBUG_Error
		#define DBG_Error( x) x;
	#else
		#define DBG_Error( x) ;
	#endif

#else
		#define DBG_Info( x) ;
		#define DBG_Trace() ;

		#define DBG_Info1( x) ;

		#define DBG_Error( x) ;
#endif

