#define MGM_Dummy ( 0x1000)
#define MGM_ADDMEMBER ( MGM_Dummy + 0x1)
struct mgpAddMember
{
	ULONG MethodID;
	struct GadgetInfo *mgp_GInfo;	/* MergeGadget has no use of this, just here to comply to the intuition.library/DoGadgetMethodA note */
	Object *mgp_Object;	/* Object to add to the mergegadget */
	ULONG mgp_Flags;			/* for particular adding, see below */
	UWORD mgp_MemberID;	/* this ID of the one of the gadget you add to mergegadget, DON'T use GA_ID use when creating member or you can confuse mergegadget. You MUST supply an ID which MUST be different for each member */
};
#define MGPF_AbsolutePosition 0x00000001	/* if set, coordinate of object added this way are not relative converted. Use it for Object which don't support the setting of GA_Top/GA_Left attribute (like ColorWheel V39) */

/* GA_Dummy = 0x30000 and next XX_Dummy is 0x31000 (PGA_Dummy) but I can't use
this  because  MergeGadget  can  contatin any kind of gadget, so update can
contain  any  GXX_Dummy,  and  MGA_MemberID  can confuse with some specific
member  attribut,  olso bit 16-30 are reserved.
*/
#define MGA_Dummy 						( TAG_USER | 0x00000100)
#define MGA_UpdateManager				( MGA_Dummy + 0x0001)	/* (I) Hook *: this hook is called for each OM_UPDATE the Member gadget send or mergegadget recieved, you respondsible of managing of this boopsi-message */
#define MGA_MemberID						( MGA_Dummy + 0x0002)	/* (U) ULONG: this tag are present in tag list that a manager recieved from it's member and determine which member send this tags */
#define MGA_BevelBox						( MGA_Dummy + 0x0003)	/* (I) BOOL: Set to TRUE if you want a raised bevelled box to be drawn around the MergeGadget, default to FALSE */
#define MGA_BorderSize					( MGA_Dummy + 0x0004)	/* (G) struct BorderSize **: fill the passed ptr on struct with addres of the IBox containing the usable dimention in the gadget ( make sens only if you ask for bevel box) this struct are READ-ONLY */

/* contain size of each border */
struct BorderSize
{
	WORD Left;
	WORD Top;
	WORD Right;
	WORD Bottom;
};

struct UpdateManagerInfo
{
	Class *Cl;
	Object *O;	/* the Mergegadget which recieved this opUpdate */
	struct opUpdate const *opUpdate;
	struct List *MemberList;	/* read only ! */
	ULONG Flags;
};
#define UMIF_		0x00000001 	/* not used for now */
