/*
 *	Copyright  1991 by S.R.
 *
 *	Created: 
 *	Modified:	
 *
 * Make>> smake
 */


struct FakeSegList
{
	ULONG Space;		/* must be 0 */
	ULONG Length;		/* must be 16 */
	BPTR NexSeg; 		/* Must be NULL */
	WORD JumpOpCode;	/* must be 0x4EF9 (jump op code) */
	void far __aligned (*Func)();	/* addr of function to be called */
};

#define FH_DE_TABLESIZE 12	/* so here TableSize are 12 */
struct FHDosEnvec {
    ULONG de_TableSize;	     /* Size of Environment vector */
    ULONG de_SizeBlock;	     /* in longwords: standard value is 128 */
    ULONG de_SecOrg;	     /* not used; must be 0 */
    ULONG de_Surfaces;	     /* # of heads (surfaces). drive specific */
    ULONG de_SectorPerBlock; /* not used; must be 1 */
    ULONG de_BlocksPerTrack; /* blocks per track. drive specific */
    ULONG de_Reserved;	     /* DOS reserved blocks at start of partition. */
    ULONG de_PreAlloc;	     /* DOS reserved blocks at end of partition */
    ULONG de_Interleave;     /* usually 0 */
    ULONG de_LowCyl;	     /* starting cylinder. typically 0 */
    ULONG de_HighCyl;	     /* max cylinder. drive specific */
    ULONG de_NumBuffers;     /* Initial # DOS of buffers.  */

	/* next are particular to this handler */
	Object *Object;				/* used to store BOOPSI Object handle */
};

struct parmPkt
{
	char *DosDevName;
	char *ExecDevName;
	ULONG UnitNr;
	ULONG OpenDeviceFlags;

	struct FHDosEnvec DosEnvec;
};
