/*
 *	Copyright  1994 by S.R.
 *
 *	Created: 23 Jan 1994	16:12:50
 *	Modified:	14 May 1994	11:24:09
 *
 * Make>> smake
 */

#include "/Debug.h"

#include "/File-HandlerClass.h"
#include "File-Handler.h"

#include "proto/OM_New.h"
#include "proto/Misc.h"

extern struct IntuitionBase *IntuitionBase;
extern struct Library *UtilityBase;

ULONG OM_New( Class *Cl, Object *O, struct opSet const *oS, struct FileHandlerData * const Data)
{
	ULONG RC = NULL;	/* generic return value, meaning depend on the method */
	struct opSet opSet = *oS;

	DBG_Trace();
	if ( RC = DoSuperMethodA( Cl, O, (Msg)&opSet))
		{
			/* 'O' is not the object (how could it be, we are here to creating it)
				the real object is returned by DoSuperMethod(). Don't forget it !
			*/
			const Object *ThisObject = (Object *)RC;
			struct FileHandlerData * const Data = INST_DATA( Cl, ThisObject);

			Data->RealFileLock = GetTagData( FHA_RealFileLock, NULL, opSet.ops_AttrList);
			NewMinList( &Data->WaitingServicePacketList);
			Data->ServicePacketInProgress = NULL;
			Data->fhpAsyncWorkInProgress = NULL;
			Data->NumLocks = 0;

			if ( Data->RealFileLock)
				{
					if ( Data->RealFileHandle = (struct FileHandle *)BADDR( OpenFromLock( Data->RealFileLock)))
						{
							return (ULONG)ThisObject;
						}
				}
		}

	return RC;
}
