/*
 *	Copyright  1991 by S.R.
 *
 *	Created: 23 Jan 1994	16:12:50
 *	Modified:	15 May 1994	22:19:38
 *
 * Make>> smake
 * Ma ke>> SC <file>.c
 * Ma ke>> SLink Lib:Entry.o <file>.o LIB Lib:Startup.lib Lib:Amiga.lib Lib:debug.lib
 *
 *
 */

//#undef DEBUG_ME
#include "/Debug.h"

#include <string.h>

#include <Main.h>

#include "/File-Handler_pragmas.h"
#include "/File-Handler_protos.h"

STRPTR Template = NULL;
STRPTR CliHelp = NULL;

struct IntuitionBase *IntuitionBase;

ULONG __asm Main( register __a0 APTR ArgV[], register __a1 struct WBStartup *WBenchMsg)
{
	DBG_Info1( KPrintF( "Starting:%s\n", __TIME__));
	IntuitionBase = (struct IntuitionBase *)OpenLibrary( (UBYTE *)"intuition.library", 39L);

	{
		struct Library *FileHandlerBase;
		//struct Library *TarFileHandlerBase;

		DBG_Trace();
		FileHandlerBase = OpenLibrary( (UBYTE *)"file-handler.library", 0L);
		DBG_Trace();
		//TarFileHandlerBase = OpenLibrary( (UBYTE *)"tar-filehandler", 0L);
		//DBG_Trace();

		{
			BPTR TarLock;
			ULONG Error;

			if ( TarLock = Lock( "TarFile.Tar", ACCESS_READ))
				{
					MountFile( TarLock, &Error);
					DBG_Trace();
					//Wait( SIGBREAKF_CTRL_C);
					// never do that ! UnLock( TarLock);
				}
		}
		//CloseLibrary( TarFileHandlerBase);
		//DBG_Trace();
		CloseLibrary( FileHandlerBase);
		DBG_Trace();
	}

	CloseLibrary( (struct Library *)IntuitionBase);

	DBG_Info1( KPrintF( "Ending:%s\n\n", __TIME__));
	return 0;
}
