#include <clib.h>

#ifdef DEBUG

	#define DBG(x) x

	#ifdef DBG_Request
		#define DBG_Req() SimpleReq("TAR:%s, %s(), %l04d>", __FILE__, __FUNC__, __LINE__)
	#else
		#define DBG_Req()
	#endif

	#ifdef DEBUG_Trace
		#define DBG_Trace() KPrintF("TAR:%s, %s(), %l04d>\n", __FILE__, __FUNC__, __LINE__)
	#else
		#define DBG_Trace()
	#endif

	#ifdef DEBUG_Info
		#define DBG_Info(x) x
	#else
		#define DBG_Info(x)
	#endif

	#ifdef DEBUG_Info1
		#define DBG_Info1(x) x
	#else
		#define DBG_Info1(x)
	#endif

	#ifdef DEBUG_Error
		#define DBG_Error(x) x
	#else
		#define DBG_Error(x)
	#endif

#else

	#define DBG(x)
	#define DBG_Req()
	#define DBG_Info(x)
	#define DBG_Trace()

	#define DBG_Info1(x)

	#define DBG_Error(x)

#endif

