/*
 *  AddArchive.c - Copyright  1994 by S.R. & P.C.
 *
 *  Created:    05 Dec 1994  23:58:27
 *  Modified:   06 Dec 1994  00:03:58
 *
 *  Make>> rx BumpRev AddArchive 1 0
 *  Make>> sc <file>.c
 *  Make>> slink LIB:cs.o <file>.o SC SD BATCH NOICONS TO <file> LIB LIB:c.lib
 */

#include <clib.h>
#include <archives/archiveclass.h>
#include <proto/archive.h>
#include "AddArchive_rev.h"

// Startup Modules...
WorkbenchStartup; CliArgs;

static char Version[] = VERSTAG;

char *Template = "Name/A";
char *CliHelp = VERS" ("DATE") [32m S. Rougier, P. Carrette, JB. Yunes, B. Lecun.[31m";

#define ARG_NAME		0

long Main(char *argv[], struct WBStartup *WBenchMsg)
{
	struct Library *ArchiveBase;
	char *Name;
	BPTR CD = NULL;
	long rc = 20;

	if (WBenchMsg) {
		if (WBenchMsg->sm_NumArgs > 1) {
			CD = CurrentDir(WBenchMsg->sm_ArgList[1].wa_Lock);
			Name = WBenchMsg->sm_ArgList[1].wa_Name;
		}
		else
			return 0;
	}
	else
		Name = argv[ARG_NAME];
	if (ArchiveBase = OpenLibrary("archive.library", 1L)) {
		AddArchiveTypeA(Name, NULL);
		CloseLibrary(ArchiveBase);
	}
	else
		Printf("Failed to open archive.library v1\n");
	if (CD)
		CurrentDir(CD);
	return rc;
}

