/*
 *	Copyright  1991 by S.R.
 *
 *	Created: 23 Jan 1994	16:12:50
 *	Modified
 *
 * Make>> smake
 */

#include "/Debug.h"

#include "/File-HandlerClass.h"
#include "/Tar-FileHandlerClass.h"
#include "Tar-FileHandler.h"

#include "proto/OM_New.h"
#include "proto/Misc.h"

extern struct IntuitionBase *IntuitionBase;
extern struct Library *UtilityBase;


ULONG OM_New( Class *Cl, Object *O, struct opSet const *oS, struct TarFileHandlerData * const Data)
{
	ULONG RC = NULL;	/* generic return value, meaning depend on the method */
	struct opSet opSet = *oS;

	DBG_Trace();
	if ( RC = DoSuperMethodA( Cl, O, (Msg)&opSet))
		{
			/* 'O' is not the object (how could it be, we are here to creating it)
				the real object is returned by DoSuperMethod(). Don't forget it !
			*/
			const Object *ThisObject = (Object *)RC;
			//struct TarFileHandlerData * const Data = INST_DATA( Cl, ThisObject);

			RC = DoSuperMethod( Cl, (Object *)ThisObject,
				FHM_MountDOSDev, ITEMIGNORED,
				FHP_StrPtr, "TR0",
				TAG_END, TAG_END);
		}

	return RC;
}
