/*
 *	Copyright  1991 by S.R. & N.G
 *
 *	Created:23 May 1992	12:00:40
 *	Modified:	08 May 1994	19:47:03
 *
 * Make>> SC <file>.c
 * Make>> SLink Lib:Entry.o <file>.o LIB Lib:Startup.lib Lib:String.lib Lib:sc.lib MAP <file>.map F,H,L,O,S,X NOICON
 */

#include <StringLib.h>
#define ef else if

struct Library *IconBase;

STRPTR Template = "File/A";
#define ARG_File				0
#define ARG_ENDARG			1
STRPTR CliHelp = "list";

#define HEADERSIZE 512
#define NAMESIZE 100
#define TUNAMELEN 32
#define TGNAMELEN 32

struct Header
{
	char FileName[ NAMESIZE];
	char Mode[ 8];
	char UID[ 8];
	char GID[ 8];
	char Size[ 12];	/* in octal  */
	char mtime[ 12];
	char CheckSum[ 8];
	char LinkFlag;
	char Archive_LinkName[ NAMESIZE];
	char Magic[ 8];
	char UserName[ TUNAMELEN];
	char GroupName[ TGNAMELEN];
	char DevMajor[ 8];
	char DevMinor[ 8];
};


ULONG OctToL( UBYTE *s)
{
	int n;
	stco_i( s, &n);
	return (ULONG)n;


/*	this has bug with big number
	USHORT OctLen;
	ULONG n = 0;
	register SHORT i;

	OctLen = strlen( s);
	
	while ( s[ OctLen -1] == ' ')
		OctLen--;

	if ( OctLen <= 0)
		{
			Printf("Error in hex number");
			return -1;
		}
	for (i = 0; i < OctLen; i++)
		n += ( s[ (OctLen - 1) - i]- '0') << (i * 3);

	return n;
*/
}

ULONG __asm Main(register __a0 APTR ArgV[], register __a1 struct WBStartup * WBenchMsg)
{
	char *TarName;
	BPTR TarFile;

	TarName = ArgV[ ARG_File];

	if ( TarFile = Open( TarName, MODE_OLDFILE))
		{
			struct Header *Header;
			char Buffer[ HEADERSIZE];
			ULONG Readed;

			Header = (struct Header *)Buffer;
			while ( ( Readed = Read( TarFile, Buffer, HEADERSIZE)) && ( Readed != -1L))
				{
					ULONG FileSize;

					if ( !Header->FileName[ 0])
						break;
					FileSize = OctToL( Header->Size);
					Printf( "File:%s\n", Header->FileName);
					Printf( "Size:%s, %ld\n", Header->Size, FileSize);

					FileSize = ( FileSize / 512 + 1)*512;	/* round up to higher block*/
					Printf( "Old Position:%ld\n",
						Seek( TarFile, FileSize, OFFSET_CURRENT));
				}

			Printf( "End\n");
			Close( TarFile);
		}

	return 0L;
}
