
void NewMinList(struct MinList *MinList);
void CToBStr(UBYTE *CStr, UBYTE *BStr);
void BToCStr(UBYTE *CStr, BSTR BStr);

static void * __inline GetHead(const struct MinList *List)
{
	struct MinNode *Head = List->mlh_Head;
	return (Head->mln_Succ) ? Head : NULL;
}


static void * __inline GetSucc(const struct MinNode *Node)
{
	struct MinNode *Succ = Node->mln_Succ;
	return (Succ->mln_Succ) ? Succ : NULL;
}


static void * __inline GetTail(const struct MinList *List)
{
	struct MinNode *TailPred = List->mlh_TailPred;
	return (TailPred->mln_Pred) ? TailPred : NULL;
}


static void * __inline GetPred(const struct MinNode *Node)
{
	struct MinNode *Pred = Node->mln_Pred;
	return (Pred->mln_Pred) ? Pred : NULL;
}

