/*
 *  UnMount.c - Copyright  1994 by S.R. & P.C.
 *
 *  Created:    25 Nov 1994  23:33:06
 *  Modified:   27 Nov 1994  10:50:48
 *
 *  Make>> rx BumpRev UnMount 1 0
 *  Make>> sc <file>.c
 *  Make>> slink LIB:cs.o <file>.o SC SD ND BATCH NOICONS TO <file> LIB LIB:c.lib
 */

#include <clib.h>
#include "UnMount_rev.h"

// Startup Modules...
CliArgs; 

char *Template = "Name/A";
char *CliHelp = VERS" ("DATE") [32m S. Rougier, P. Carrette, JB. Yunes, B. Lecun.[31m";

long Main(char *argv[], struct WBStartup *WBenchMsg)
{
	struct DevProc *dp;
	long rc = 10;

	if (dp = GetDeviceProc(argv[0], NULL)) {
		if (DoPkt(dp->dvp_Port, ACTION_DIE, NULL, NULL, NULL, NULL, NULL))
			rc = 0;
		else
			PrintFault(IoErr(), "UnMount");
		FreeDeviceProc(dp);
	}
	else
		PrintFault(IoErr(), "UnMount");
	return rc;
}

